import { TaskId } from "./raf-queue";
export declare function useSpringInstance(target: number, config: Config): Instance;
export declare function getConfigWithDefaults(target: number, { stiffness, damping, mass, decimals, teleport }: Config): InstanceConfig;
export declare type Config = {
    stiffness?: number;
    damping?: number;
    mass?: number;
    decimals?: number;
    teleport?: boolean;
    initialSpeed?: number;
    from?: number;
};
declare type Instance = {
    config: InstanceConfig;
    state: InstanceState;
};
export declare type InstanceConfig = {
    X: number;
    k: number;
    c: number;
    m: number;
    teleport: boolean;
    decimals: number;
};
declare type InstanceState = {
    x0: number;
    v0: number;
    t0: number;
    raf: TaskId | null;
};
export {};
